Bug 877259 - Conflicts with RHEL qemu
Summary: Conflicts with RHEL qemu
Keywords:
Status: NEW
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: qemu
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-16 04:02 UTC by Kevin Fenzi
Modified: 2013-03-19 09:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Kevin Fenzi 2012-11-16 04:02:39 UTC
qemu package in EPEL is conflicting with the RHEL qemu package. 

Is the idea here to provide a version in EPEL for ppc64?
If so, please follow: 

https://fedoraproject.org/wiki/EPEL:Packaging?rd=Packaging:EPEL#Limited_Arch_Packages

If the idea is to provide a qemu package that provides things RHEL does not, please make it not conflict or overlap RHEL. 

At the very least I am seeing: 

Transaction Check Error:
  file /usr/share/man/man1/qemu-img.1.gz from install of qemu-img-2:1.2.0-19.el6.1.i686 conflicts with file from package qemu-img-2:0.12.1.2-2.295.el6_3.2.x86_64

which should get fixed. ;)

Comment 1 Robert Scheck 2012-11-19 13:31:40 UTC
From what we see here, the qemu-img package from EPEL tries to replace the
qemu-img package from RHEL - which is inacceptable!

Comment 2 Robert Scheck 2012-11-19 16:20:26 UTC
--> Processing Dependency: qemu-img = 2:0.12.1.2-2.295.el6_3.2 for package: 2:qemu-kvm-0.12.1.2-2.295.el6_3.2.x86_64 
---> Package qemu-img.i686 2:1.2.0-19.el6.1 will be an update

Comment 3 Lubomir Rintel (GoodData, inactive) 2012-11-20 08:58:46 UTC
I need help with this.

Is it somehow possible to blacklist qemu-img.i686 from being propagated into epel/x86_64 repository?

Comment 4 Robert Scheck 2012-11-20 10:28:10 UTC
Why is that package being built at all? I think that package should be simply
just conditional within the *.spec file by using %{?rhel} and %if(n)arch macro.

Comment 5 Lubomir Rintel (GoodData, inactive) 2012-11-20 12:14:47 UTC
Robert, it is in fact conditional and not built in EPEL/x86_64.
In RHEL/i686 qemu-img is not available, unlike in RHEL/x86_64.
Thus, we only build the i686 version in EPEL.

What happens here is that i686 version attempts to update the x86_64 one.
(the same applies to qemu-guest-agent I guess)

Comment 6 Kevin Fenzi 2012-11-20 17:46:04 UTC
See: 
https://fedorahosted.org/rel-eng/ticket/4130
https://fedorahosted.org/rel-eng/ticket/4267

Basically we really need some brave soul to hack mash to support whitelist/blacklists and/or work with the way RHEL does multiarch so we don't run into this. ;( Any takers? :) 

Could you just make this parallel installable? ie, 'qemu12' vs 'qemu' ? It would be a new review, but would avoid at least this issue.

Comment 7 Robert Scheck 2012-11-21 10:20:50 UTC
Lubomir: Can we please unpush qemu on EPEL 6 testing till this is solved?

Comment 8 Pádraig Brady 2012-11-21 10:59:59 UTC
Lubomir, can you unpush the testing update in bodhi until this is fixed.
thanks.

Comment 9 Lubomir Rintel (GoodData, inactive) 2012-11-21 13:18:50 UTC
Sure, done.

Comment 10 Paolo Bonzini 2013-03-19 09:59:37 UTC
Since this package has never been in EPEL (except as part of the testing repo), perhaps we can use a lower Epoch than Fedora and RHEL?  Fedora and RHEL use 2, we can use 1.


Note You need to log in before you can comment on or make changes to this bug.